Options +FollowSymLinks
RewriteEngine On

RewriteBase /
RewriteRule ^MKT(.*)$ mshowlistpage.php?postID=$1 [L]
RewriteRule ^mkt(.*)$ mshowlistpage.php?postID=$1 [L]

RewriteCond %{HTTP_HOST} !^www\.marketer.wauhaha\.com$ [NC]
RewriteCond %{HTTP_HOST} ^([a-zA-Z0-9]+)\.marketer.wauhaha\.com$ [NC]
RewriteCond %{REQUEST_URI} !^/?mypage\.php$
RewriteRule .? /mypage.php?pageName=%1 [L,QSA]

RewriteCond %{HTTP_HOST} ^www.marketer.wauhaha.com$ [OR]
RewriteCond %{HTTP_HOST} ^marketer.wauhaha.com$ [nc]
RewriteCond %{REQUEST_URI} !^/admin
RewriteCond %{REQUEST_URI} !^/admin/
RewriteCond %{REQUEST_URI} !^/?myprofile\.php$
RewriteRule ^([^/\.]+)/?$ /myprofile.php?VUserId=$1 [L] #result:http://www.wauhaha.com/5
